<?xml version="1.0" encoding="UTF-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:aapt="http://schemas.android.com/aapt"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ProgressBar
        android:id="@+id/progressV"
        android:layout_width="@dimen/_35sdp"
        android:layout_height="@dimen/_35sdp"
        android:layout_centerInParent="true"
        android:visibility="gone" />



    <com.facebook.shimmer.ShimmerFrameLayout
        android:id="@+id/shimmer_view_container1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:orientation="vertical"
        app:shimmer_duration="800">

        <include layout="@layout/recipe_placeholder_item" />

    </com.facebook.shimmer.ShimmerFrameLayout>

    <AutoCompleteTextView
        android:id="@+id/transaction_spinner"
        android:layout_width="match_parent"
        android:layout_height="@dimen/_45sdp"
        android:layout_margin="@dimen/_12sdp"
        android:layout_marginTop="-10dp"
        android:drawableLeft="@drawable/ic_search_black_24dp"
        android:drawablePadding="5dp"
        android:hint="Enter API Tid Or Transaction Id"
        android:paddingLeft="@dimen/_4sdp"
        android:singleLine="true"
        android:textSize="18dp"
        android:visibility="gone" />



    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/transaction_spinner"
        android:orientation="vertical"
        android:padding="@dimen/card_padding">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/reportRecyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@+id/appbarLayout"
            android:layout_centerHorizontal="true"
            android:scrollbars="vertical" />

        <TextView
            android:id="@+id/noData"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:gravity="center_horizontal"
            android:padding="@dimen/card_padding"
            android:text="@string/noReport"
            android:textSize="@dimen/title_text_size"
            android:visibility="gone" />

    </LinearLayout>

</RelativeLayout>